Subject: Re: [PATCH v2 2/2] Doc/check-ref-format: clarify information about @{-N} syntax

From: Junio C Hamano <[email-masked]>
Date: Tue, 28 Nov 2017 11:40:15 +0900

Kaartic Sivaraam <[email-masked]> writes:

> When the N-th previous thing checked out sytax is used with
> '--branch' option of check-ref-format the results might not
> always be a valid branch name

I wonder if you want to rephrase this, because 40-hex object name is
syntactically a valid branch name.  It's (1) cumbersome to type and
(2) may not be what the user expects.

I have a mild suspicion that "git checkout -B @{-1}" would want to
error out instead of creating a valid new branch whose name is
40-hex that happen to be the name of the commit object you were
detached at previously.

I am not sure if "check-ref-format --branch" should the same; it is
more about the syntax and the 40-hex _is_ valid there, so...